com.smartgwt.client.types

## Enum FiscalYearMode

- java.lang.Object
- - java.lang.Enum<FiscalYearMode>
  - - com.smartgwt.client.types.FiscalYearMode

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<FiscalYearMode>

      public enum FiscalYearMode
      extends java.lang.Enum<FiscalYearMode>
      implements ValueEnum

  Strategies for calculating the FiscalYear within a `FiscalCalendar` from the specified `defaultDate` and `defaultMonth` If the specified fiscal year date starts in one calendar year and ends in the next.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `END` The fiscalYear value for the date range will match the calendar year in which the period ends.
    `START` The fiscalYear value for the date range will match the calendar year in which the period starts.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static FiscalYearMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FiscalYearMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### END

          public static final FiscalYearMode END

      The fiscalYear value for the date range will match the calendar year in which the period ends. For example if the defaultDate and defaultMonth were set to represent April 1st, the fiscal year starting on April 1st 2020 would end on April 1st 2021. Setting the fiscalYearMode to `end` would mean the fiscalYear value for this block would be 2021.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "end".

    - #### START

          public static final FiscalYearMode START

      The fiscalYear value for the date range will match the calendar year in which the period starts. For example if the defaultDate and defaultMonth were set to represent April 1st, the fiscal year starting on April 1st 2020 would end on April 1st 2021. Setting the fiscalYearMode to `start` would mean the fiscalYear value for this block would be 2020.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "start".

  - ### Method Detail

    - #### values

          public static FiscalYearMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FiscalYearMode c : FiscalYearMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FiscalYearMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`